> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Schedules

> List the unlock schedules defined for a token.

List the unlock schedules defined for a token. Internal schedules are excluded.

**Route:** `POST /api/external/v1/schedules`

## Headers

| Header              | Required | Description                |
| ------------------- | -------- | -------------------------- |
| `Content-Type`      | Yes      | Must be `application/json` |
| `x-magna-api-token` | Yes      | Your Magna API token       |

## Body parameters

| Field     | Type          | Required | Description                       |
| --------- | ------------- | -------- | --------------------------------- |
| `tokenId` | string (uuid) | Yes      | The token whose schedules to list |

## Request example

```sh theme={null}
curl -X POST https://app.magna.so/api/external/v1/schedules \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY' \
-d '{ "tokenId": "tok...uuid" }'
```

## Response example

```json theme={null}
{
  "items": [
    {
      "id": "sch...uuid",
      "key": "S-ABC123",
      "name": "4y monthly, 1y cliff",
      "description": null,
      "unlockAtStart": 0,
      "cliff": { "value": 0, "duration": 1, "period": "YEAR" },
      "roundingMode": "FLOOR",
      "createdAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "total": 1
}
```
